#include <iostream>
#include <fstream>
#include <CMATH>


using namespace std;

int main()
{ ifstream f("CP.inp");
int n;
f>>n;
f.close();
ofstream f1("CP.out");
if (sqrt(n)==int(sqrt(n)))

f1<<"YES";
else f1<<"NO";
f1.close();
return 0;
}
